package com.heyu.api.data.dao.operation;
/**
* <p>
* 场景下的条件下的具体动作 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.operation.OperatinActionEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OperatinActionDao extends BaseMapper<OperatinActionEntity> {


	OperatinActionEntity selectOperatinActionById(@Param("id")Long id);


	Long insertOperatinAction(OperatinActionEntity operatinAction);


	Long insertOrUpdateOperatinAction(OperatinActionEntity operatinAction);


	int updateOperatinActionById(OperatinActionEntity operatinAction);


	int updateCoverOperatinActionById(OperatinActionEntity operatinAction);


	int deleteOperatinActionById(@Param("id")Long id);


}